/***************************************************************************\
 * mmsound.h
 *
 * Copyright (C) 1994 Nicole Greiber and Ralf Seidel
 * Set tabs to 3 to get a readable source.
\***************************************************************************/

typedef struct {
    ULONG ulCmd;				/* Command */
    ULONG ulOp1;				/* Operation parameters */
    ULONG ulOp2;
    ULONG ulOp3;
} PLAYLIST, *PPLAYLIST;

typedef struct {
	PSZ pszName;
	BOOL bInMem;
	ULONG ulSize;
	PBYTE pbData;
	ULONG ulSamplesPerSec;
	USHORT usBitsPerSample;
	USHORT usChannels;
} SOUNDINFO, *PSOUNDINFO;

#ifdef __cplusplus
extern "C" {
#endif

BOOL AudioLoad( PSOUNDINFO pSndInfo );

BOOL AudioFree( PSOUNDINFO pSndInfo );

ULONG AudioOpen( const PSOUNDINFO pSndInfo );

ULONG AudioClose( VOID );

ULONG AudioPlay( const PSOUNDINFO pSndInfo, const BOOL bCloseAfterwards );

ULONG AudioPlayAsync(
	const HWND hwndCallback,
	const PSOUNDINFO pSndInfo,
	const BOOL bCloseAfterwards );

BOOL AudioWndProc( const HWND hwnd, const ULONG msg, const MPARAM mp1, const MPARAM mp2 );

BOOL AudioPlayFile( const PSZ pszFileName );

#ifdef __cplusplus
}
#endif

